#include "led.h"
/* --------------------------------------------------------------------------------- */
unsigned char k, a, j = 0;
unsigned int l, m;
char i;
/* --------------------------------------------------------------------------------- */
void setLed(u8 n, u8 s) {
	dmasq[lmap[n]] = (dmasq[lmap[n]] != s) ? s : dmasq[lmap[n]];
}	
/* --------------------------------------------------------------------------------- */
void initLed() {
	PORTC = 0;
	PORTB = 0;
	TRISB = 0xff;
	TRISC = 0xff;
	//FILL_MATRIX(LED_STATE_0);
	fillMatrix(LED_STATE_0);
	led_counter = 0;	
}
/* --------------------------------------------------------------------------------- */
void fillMatrix(u8 s) {
	u8 i;
	for(i=0;i<33;i++){setLed(i,s);}
}
/* --------------------------------------------------------------------------------- */
void showMatrix(u8 * mtx, u8 ptr) {
	u8 i;
	for(i = 0; i < 33; i++) {
		if(i == ptr)
			setLed(i, LED_STATE_2);
		else 
			setLed(i, *(mtx + i));
	}
}
/* --------------------------------------------------------------------------------- */
void handleLed() {

}
/* --------------------------------------------------------------------------------- */